# $Revision: 1.36 $, $Date: 2009/11/26 13:01:28 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Socket-INET6
Summary:	IO::Socket::INET6 - Object interface for AF_INET|AF_INET6 domain sockets
Summary(pl.UTF-8):	IO::Socket::INET6 - obiektowy interfejs do gniazd z domen AF_INET|AF_INET6
Name:		perl-IO-Socket-INET6
Version:	2.57
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	65e5224afd57bbe0abfa178a206cedfe
URL:		http://search.cpan.org/dist/IO-Socket-INET6/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Socket::INET6 provides an object interface to creating and using
sockets in either AF_INET or AF_INET6 domains. It is built upon the
IO::Socket interface and inherits all the methods defined by
IO::Socket.

%description -l pl.UTF-8
IO::Socket::INET6 udostępnia obiektowy interfejs do tworzenia i
używania gniazd z rodziny AF_INET oraz AF_INET6. Jest zbudowany w
opaciu o interfejs IO::Socket i dziedziczy wszystkie metody
definiowane przez IO::Socket.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/IO/Socket/INET6.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Socket-INET6.spec,v $
Revision 1.36  2009/11/26 13:01:28  amateja
- updated to 2.57

Revision 1.35  2008/12/14 12:50:16  agaran
- up to 2.56

Revision 1.34  2008/04/02 08:33:57  arekm
- up to 2.54

Revision 1.33  2007/03/13 07:48:07  qboosh
- generic URL

Revision 1.32  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.30  2005/10/17 23:18:54  glen
- rel 3 with updated -pl (Ra can take rel 2 if wanted)

Revision 1.29  2005/10/17 21:01:12  qboosh
- updated pl

Revision 1.28  2005/10/17 07:59:58  hawk
- release 2 (1 is for Ra)

Revision 1.27  2005/10/16 16:01:02  glen
- CPAN url for source0

Revision 1.26  2005/10/16 15:06:00  glen
- updated to 2.51 from CPAN
- see also spamassassin bug #4619

Revision 1.25  2004/10/24 15:14:01  paladine
- spelling fix

Revision 1.24  2004/05/07 01:24:06  ankry
- rel. 6

Revision 1.23  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.21  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.20  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.13  2002/11/26 00:14:05  ankry
- Massive attack: new %doc, use %{_examplesdir} and proper attrs therein

Revision 1.12  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/03/03 08:53:27  kloczek
- release 4.

Revision 1.10  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/10 15:27:49  depesz
- adapterized

Revision 1.8  2002/01/18 02:14:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.6  2001/04/17 12:11:00  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.5  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.4  2001/01/08 22:09:45  kloczek
- release 1: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.3  2000/11/10 16:07:23  agaran
- Changed Source url

Revision 1.2  2000/10/04 22:21:18  kloczek
- adapteried.
